From jik@cam.ov.com Thu Dec 12 16:50:28 EST 1996
Article: 27709 of news.software.nntp
Path: news.math.psu.edu!feeder.chicago.cic.net!ddsw1!news.mcs.net!www.nntp.primenet.com!nntp.primenet.com!howland.erols.net!news.mathworks.com!bloom-beacon.mit.edu!pad-thai.cam.ov.com!not-for-mail
From: jik@cam.ov.com (Jonathan I. Kamens)
Newsgroups: news.software.nntp
Subject: INN 1.5 inews: won't work for users with passwords
Date: 12 Dec 1996 20:35:35 GMT
Organization: OpenVision Technologies, Inc.
Lines: 26
Message-ID: <58pqan$q1c$2@pad-thai.cam.ov.com>
NNTP-Posting-Host: gza-client1.cam.ov.com
X-newsreader: xrn 8.03-beta-14
To: inn-bugs@isc.org
Cc: jik
Xref: news.math.psu.edu news.software.nntp:27709

(Posted and mailed as shown in the header.)

INN 1.5's inews won't work for users who have passwords in passwd.nntp,
since nnrpd in INN 1.5 requires authentication for the "list" command,
and inews doesn't send the password before executing that command.

Here's a patch:

--- inews.c	1996/12/12 16:36:59	1.1.1.1
+++ inews.c	1996/12/12 20:27:22
@@ -1331,7 +1331,11 @@
 	}
 
     /* Check the newsgroups. */
-    if ((F = CAlistopen(FromServer, ToServer, (char *)NULL)) != NULL) {
+    if ((F = CAlistopen(FromServer, ToServer, (char *)NULL)) == NULL) {
+	if (NNTPsendpassword((char *)NULL, FromServer, ToServer) >= 0)
+	    F = CAlistopen(FromServer, ToServer, (char *)NULL);
+    }
+    if (F != NULL) {
 	if (!ValidNewsgroups(HDR(_newsgroups), F, article)) {
 	    CAclose();
 	    QuitServer(1);

-- 
Jonathan Kamens  |  OpenVision Technologies, Inc.  |   jik@cam.ov.com


